PHP K�sikirja
Edellinen |  | Seuraava

# SoapServer->setPersistence()

SoapServer->setPersistence() -- Sets persistence mode of SoapServer

## Description

class SoapServer {
void setPersistence ( int mode )
}

This function allows saving data between requests in a PHP session. It works only with a server that exports functions from a class with SoapServer->setClass().

## Parameters

mode

  One of the SOAP_PERSISTENCE_XXX constants.

## Return values

No value is returned.

## Examples

Esimerkki 1. Some examples

`<?php $server->setPersistence(SOAP_PERSISTENCE_SESSION); $server->setPersistence(SOAP_PERSISTENCE_REQUEST); ?>`

## See Also

SoapServer->__construct()
SoapServer->setClass()

Edellinen | Alkuun | Seuraava
SoapServer->setClass() | Ylös | SoapVar->__construct()